APIs / Expedia / Hotels Rooms

Expedia: Hotels Rooms

Hotels Rooms from Expedia as JSON. 1 credit per successful call.

GET /v1/expedia/hotels-rooms

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
check_instringRequiredAny
check_outstringRequiredAny
adultsintegerOptionalAny
childrenstringOptionalAny
property_idstringRequiredAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/expedia/hotels-rooms?property_id=891396&check_in=2026-11-10&check_out=2026-11-12&adults=2" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.